#
# spec file for package python-limnoria
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define appname limnoria
%define srcver 2018-04-21
Name:           python-limnoria
Version:        2018.04.21
Release:        3.13
Summary:        A modified version of Supybot (an IRC bot and framework)
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/ProgVal/Limnoria
Source:         https://github.com/ProgVal/Limnoria/archive/master-%{srcver}.tar.gz
BuildRequires:  %{python_module PySocks}
BuildRequires:  %{python_module SQLAlchemy}
BuildRequires:  %{python_module chardet}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module ecdsa}
BuildRequires:  %{python_module feedparser}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module python-gnupg}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PySocks
Requires:       python-SQLAlchemy
Requires:       python-chardet
Requires:       python-ecdsa
Requires:       python-feedparser
Requires:       python-python-dateutil
Requires:       python-python-gnupg
Requires:       python-pytz
Provides:       Supybot = %{version}
Obsoletes:      Supybot < 1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Limnoria is a Python IRC bot with a plugin API. It is equipped with
an ACL system for specifying user permissions with per-command
granularity. Numerous plugins are included.

%prep
%setup -q -n Limnoria-master-%{srcver}
sed -i "1,4{/\/usr\/bin\/python/d}" plugins/Debug/plugin.py

%build
%python_build

%install
%python_install

%python_expand %fdupes %{buildroot}%{$python_sitelib}/supybot/

%check
%{python_expand export PYTHONDONTWRITEBYTECODE=1
export PYTHONPATH=%{buildroot}%{$python_sitelib}/
%python_exec test/test.py
}

%files %python_files
%defattr(-,root,root,-)
%doc README.md CONTRIBUTING.md
%license LICENSE.md
%python3_only %{_bindir}/supybot
%python3_only %{_bindir}/supybot-*
%{python_sitelib}/*
%python3_only %{_mandir}/man1/supybot*%{ext_man}

%changelog
* Thu May 10 2018 toddrme2178@gmail.com
- Avoid problem with bytecode being overwritten by tests
* Mon Apr 30 2018 badshah400@gmail.com
- Update to version 2018-04-21:
  * Do not break UTF-8 characters in long words. Closes
    gh#ProgVal/Limnoria#1333.
* Wed Apr 18 2018 badshah400@gmail.com
- The gnupg python module is called python{2,3}-python-gnupg,
  adapt Requires accordingly.
* Fri Apr 13 2018 badshah400@gmail.com
- Switch to using PySocks instead of SocksiPy: the former is
  well-maintained than the latter.
* Sat Mar 31 2018 jengelh@inai.de
- Remove empty filler marketing wording from description.
* Wed Feb 21 2018 badshah400@gmail.com
- Enable python2 module [not binaries] since we have
  python2-SocksiPy now.
* Thu Feb 15 2018 badshah400@gmail.com
- Update to master-2018-01-28:
  * NickAuth: Fix NameError caused by e732931.
* Mon Dec 18 2017 badshah400@gmail.com
- Update to master-2017-10-25:
  * Aka: Escape the command in help strings, so they can be
    copy-pasted into @aka add.
- Convert to python single-spec; disable python2 modules as
  python2-SocksiPy is not available.
- Enable tests as part of %%%%check.
* Fri Nov 25 2016 badshah400@gmail.com
- Initial package.
